DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTGeneralAccessorySequenceInRTIonBeamsModule::Item Class Reference

Item class. More...

Inheritance diagram for DRTGeneralAccessorySequenceInRTIonBeamsModule::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getAccessoryCode (OFString &value, const signed long pos=0) const
| get AccessoryCode (300a,00f9)
OFCondition | getGeneralAccessoryDescription (OFString &value, const signed long pos=0) const
| get GeneralAccessoryDescription (300a,0422)
OFCondition | getGeneralAccessoryID (OFString &value, const signed long pos=0) const
| get GeneralAccessoryID (300a,0421)
OFCondition | getGeneralAccessoryNumber (OFString &value, const signed long pos=0) const
| get GeneralAccessoryNumber (300a,0424)
OFCondition | getGeneralAccessoryNumber (Sint32 &value, const unsigned long pos=0) const
| get GeneralAccessoryNumber (300a,0424)
OFCondition | getGeneralAccessoryType (OFString &value, const signed long pos=0) const
| get GeneralAccessoryType (300a,0423)
OFCondition | getIsocenterToGeneralAccessoryDistance (OFString &value, const signed long pos=0) const
| get IsocenterToGeneralAccessoryDistance (300a,0426)
OFCondition | getIsocenterToGeneralAccessoryDistance (Float64 &value, const unsigned long pos=0) const
| get IsocenterToGeneralAccessoryDistance (300a,0426)
OFCondition | setAccessoryCode (const OFString &value, const OFBool check=OFTrue)
| set AccessoryCode (300a,00f9)
OFCondition | setGeneralAccessoryDescription (const OFString &value, const OFBool check=OFTrue)
| set GeneralAccessoryDescription (300a,0422)
OFCondition | setGeneralAccessoryID (const OFString &value, const OFBool check=OFTrue)
| set GeneralAccessoryID (300a,0421)
OFCondition | setGeneralAccessoryNumber (const OFString &value, const OFBool check=OFTrue)
| set GeneralAccessoryNumber (300a,0424)
OFCondition | setGeneralAccessoryType (const OFString &value, const OFBool check=OFTrue)
| set GeneralAccessoryType (300a,0423)
OFCondition | setIsocenterToGeneralAccessoryDistance (const OFString &value, const OFBool check=OFTrue)
| set IsocenterToGeneralAccessoryDistance (300a,0426)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmLongString | AccessoryCode
| AccessoryCode (300a,00f9) vr=LO, vm=1, type=3.
DcmShortText | GeneralAccessoryDescription
| GeneralAccessoryDescription (300a,0422) vr=ST, vm=1, type=3.
DcmShortString | GeneralAccessoryID
| GeneralAccessoryID (300a,0421) vr=SH, vm=1, type=1.
DcmIntegerString | GeneralAccessoryNumber
| GeneralAccessoryNumber (300a,0424) vr=IS, vm=1, type=1.
DcmCodeString | GeneralAccessoryType
| GeneralAccessoryType (300a,0423) vr=CS, vm=1, type=3.
DcmDecimalString | IsocenterToGeneralAccessoryDistance
| IsocenterToGeneralAccessoryDistance (300a,0426) vr=DS, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getAccessoryCode()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::getAccessoryCode | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get AccessoryCode (300a,00f9)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGeneralAccessoryDescription()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::getGeneralAccessoryDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get GeneralAccessoryDescription (300a,0422)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGeneralAccessoryID()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::getGeneralAccessoryID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get GeneralAccessoryID (300a,0421)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGeneralAccessoryNumber() [1/2]

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::getGeneralAccessoryNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get GeneralAccessoryNumber (300a,0424)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGeneralAccessoryNumber() [2/2]

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::getGeneralAccessoryNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get GeneralAccessoryNumber (300a,0424)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGeneralAccessoryType()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::getGeneralAccessoryType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get GeneralAccessoryType (300a,0423)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIsocenterToGeneralAccessoryDistance() [1/2]

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::getIsocenterToGeneralAccessoryDistance | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get IsocenterToGeneralAccessoryDistance (300a,0426)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIsocenterToGeneralAccessoryDistance() [2/2]

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::getIsocenterToGeneralAccessoryDistance | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get IsocenterToGeneralAccessoryDistance (300a,0426)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAccessoryCode()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::setAccessoryCode | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set AccessoryCode (300a,00f9)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGeneralAccessoryDescription()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::setGeneralAccessoryDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set GeneralAccessoryDescription (300a,0422)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGeneralAccessoryID()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::setGeneralAccessoryID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set GeneralAccessoryID (300a,0421)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGeneralAccessoryNumber()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::setGeneralAccessoryNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set GeneralAccessoryNumber (300a,0424)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGeneralAccessoryType()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::setGeneralAccessoryType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set GeneralAccessoryType (300a,0423)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setIsocenterToGeneralAccessoryDistance()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::setIsocenterToGeneralAccessoryDistance | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set IsocenterToGeneralAccessoryDistance (300a,0426)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTGeneralAccessorySequenceInRTIonBeamsModule::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtgas5.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2